Bug 432776 - /sbin/mkinitrd: line 939: [: : integer expression expected
/sbin/mkinitrd: line 939: [: : integer expression expected
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Peter Jones
:
: 435908 (view as bug list)
Depends On:
Blocks: 393721
  Show dependency treegraph
 
Reported: 2008-02-14 06:01 EST by Milan Zazrivec
Modified: 2008-08-07 21:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0437
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:26:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2008-02-14 06:01:11 EST
Description of problem:
kernel-2.6.18 79.el5-s390x installation produces following error:
...
/sbin/mkinitrd: line 939: [: : integer expression expected
Found 1 errors in install log.
...

Version-Release number of selected component (if applicable):
mkinitrd-5.1.19.6-22 / RHEL5.2-Server-20080212.0

How reproducible:
Always
Comment 2 RHEL Product and Program Management 2008-02-15 10:27:08 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 James Laska 2008-03-04 08:41:47 EST
*** Bug 435908 has been marked as a duplicate of this bug. ***
Comment 6 Peter Jones 2008-03-20 11:19:40 EDT
Fixed in mkinitrd-5.1.19.6-27 .
Comment 10 Milan Zazrivec 2008-03-31 03:01:35 EDT
Verified with mkinitrd-5.1.19.6-28
Comment 11 Issue Tracker 2008-04-01 09:35:01 EDT
----- Additional Comments From harihare@in.ibm.com  2008-04-01 02:53 EDT
-------
[root@hariharan home]# rpm -ivh kernel-kdump-2.6.18-86.el5.s390x.rpm 
warning: kernel-kdump-2.6.18-86.el5.s390x.rpm: Header V3 DSA signature:
NOKEY,
key ID 897da07a
Preparing...                ###########################################
[100%]
   1:kernel-kdump           ###########################################
[100%]
/sbin/mkinitrd: line 939: [: : integer expression expected
WARNING: No module zfcp found for kernel 2.6.18-86.el5kdump, continuing
anyway

The problem still exist. Sorry for my last comment. 


This event sent from IssueTracker by jkachuck 
 issue 171006
Comment 12 Issue Tracker 2008-04-07 08:58:42 EDT
------- Additional Comments From suzukikp@in.ibm.com (prefers email at
suzuki@in.ibm.com)  2008-04-04 00:20 EDT -------
(In reply to comment #17)
> [root@hariharan home]# rpm -ivh kernel-kdump-2.6.18-86.el5.s390x.rpm 
> warning: kernel-kdump-2.6.18-86.el5.s390x.rpm: Header V3 DSA signature:
NOKEY,
> key ID 897da07a
> Preparing...                ###########################################
[100%]
>    1:kernel-kdump           ###########################################
[100%]
> /sbin/mkinitrd: line 939: [: : integer expression expected
> WARNING: No module zfcp found for kernel 2.6.18-86.el5kdump, continuing
anyway
> 
> The problem still exist. Sorry for my last comment.
> 
Hariharan,

Could you please let me know the mkinitrd version that you are running ?

According to Redhat this is fixed in mkinitrd-5.1.19.6-28. Please double
check
the version on your machine.

Thanks

Suzuki 


This event sent from IssueTracker by jkachuck 
 issue 171006
Comment 13 Issue Tracker 2008-04-07 08:58:43 EDT
----- Additional Comments From harihare@in.ibm.com  2008-04-07 03:04 EDT
-------
Hi Suzuki, 

Version of mkinitrd

[root@hariharan home]# mkinitrd --version
mkinitrd: version 5.1.19.6

[root@hariharan home]# uname -a
Linux hariharan.boeblingen.de.ibm.com 2.6.18-86.el5 #1 SMP Tue Mar 18
18:20:53
EDT 2008 s390x s390x s390x GNU/Linux 


This event sent from IssueTracker by jkachuck 
 issue 171006
Comment 14 Issue Tracker 2008-04-14 09:23:17 EDT
----- Additional Comments From harihare@in.ibm.com  2008-04-10 05:32 EDT
-------
[root@harihran home]# rpm -q mkinitrd
mkinitrd-5.1.19.6-25
mkinitrd-5.1.19.6-25 


This event sent from IssueTracker by jkachuck 
 issue 171006
Comment 15 Issue Tracker 2008-04-14 09:23:18 EDT
----- Additional Comments From harihare@in.ibm.com  2008-04-12 23:19 EDT
-------
In RHEL Snap 4, I am not seen initrd problem, but still missing module
warning
entry is there. where in zfcp module is builtin. 

[root@hariharan home]# rpm -ivh kernel-kdump-2.6.18-88.el5.s390x.rpm 
warning: kernel-kdump-2.6.18-88.el5.s390x.rpm: Header V3 DSA signature:
NOKEY,
key ID 897da07a
Preparing...                ###########################################
[100%]
   1:kernel-kdump           ###########################################
[100%]
WARNING: No module zfcp found for kernel 2.6.18-88.el5kdump, continuing
anyway 


This event sent from IssueTracker by jkachuck 
 issue 171006
Comment 17 errata-xmlrpc 2008-05-21 11:26:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0437.html

Note You need to log in before you can comment on or make changes to this bug.